GET/tasks/crew/{crewId}
Lists the tasks assigned to one crew member, including subtasks whose parent task is assigned to
them, in the same shape as ProjectManagement_GetTasks. The crew id comes from Crew_GetCrew; needs an
event token and event basic access.
Path Parameters
| Field | Type | Required | Description |
|---|
| crewId | uuid | Required | |
Response
Type: GetTasksByCrewResponse[]
GetTasksByCrewResponse
| Field | Type | Description |
|---|
| id | uuid | |
| name | string| null | |
| statusId | uuid| null | |
| startDateTime | date-time| null | |
| endDateTime | date-time| null | |
| description | string| null | |
| priority | string| null | |
| index | integer | |
| parentId | uuid| null | |
| phaseId | uuid| null | |
| source | string| null | |
| sourceType | string| null | |
| sourceEntityId | uuid| null | |
| sourceContextId | uuid| null | |
| sourceNavigationId | uuid| null | |
| assignees | GetTasksByCrewResponseAssigneesList | |
| reviewers | GetTasksByCrewResponseCrewMember[]| null | |
| attributes | GetTasksByCrewResponseAttribute[]| null | |
| reviews | GetTasksByCrewResponseReview[]| null | |
| comments | GetTasksByCrewResponseComment[]| null | |
| dependents | uuid[]| null | |
| dependsOn | uuid[]| null | |
GetTasksByCrewResponseAssigneesList
| Field | Type | Description |
|---|
| crewMembers | GetTasksByCrewResponseCrewMember[]| null | |
| collaborators | GetTasksByCrewResponseCollab[]| null | |
GetTasksByCrewResponseCrewMember
| Field | Type | Description |
|---|
| id | uuid | |
| firstName | string| null | |
| lastName | string| null | |
| title | string| null | |
| connectedUserId | uuid| null | |
GetTasksByCrewResponseAttribute
| Field | Type | Description |
|---|
| attributeId | uuid | |
| value | string| null | |
GetTasksByCrewResponseReview
| Field | Type | Description |
|---|
| id | uuid | |
| crewId | uuid | |
| response | string| null | |
| createdDate | date-time | |
| Field | Type | Description |
|---|
| id | uuid | |
| userId | uuid | |
| userName | string| null | |
| commentText | string| null | |
| reviewId | uuid| null | |
| createdDate | date-time | |
GetTasksByCrewResponseCollab
| Field | Type | Description |
|---|
| id | uuid | |